.icon {
  margin: 0 auto;
  height: 34px;
  min-height: 34px;
  min-width: 34px;
  max-width: 100%;
}
.spaceLogoContainer {
  align-content: center;
  display: flex;
  align-content: center;
  align-items: center;
  place-content: center;
  margin: 0 34px;
  max-width: 159px;
  height: 26px;
  place-self: center;

  .realmLogo {
    position: static !important;

    &:hover {
      cursor: pointer;
    }
  }
}

.topnav {
  display: flex;
  border-bottom: 1px solid #3e5262;
  width: 100%;
  min-height: 96px;

  .topnavleft {
    display: flex;
    margin-left: 30px;
    @media (min-width: 980px) {
      width: 96px;
      margin-left: unset;
    }
  }
  .hidden {
    display: flex;
    @media (min-width: 980px) {
      display: none;
    }
  }

  .leftNav {
    align-items: center;
    justify-content: center;
    display: none;
    @media (min-width: 980px) {
      display: flex;
      margin-left: 62px;
    }
    @media (min-width: 1200px) {
      margin-left: 162px;
    }
  }
}

.influenceLogo {
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;

  @media (min-width: 980px) {
    border-right: 1px solid #3e5262;
  }

  img {
    height: 26px;
    min-height: 26px;
  }
}

.rightnav {
  display: flex;
  justify-content: center;
  align-items: right;
  margin-left: auto;
  flex-wrap: wrap-reverse;

  @media (min-width: 980px) {
    padding-right: 62px;
  }

  @media (min-width: 1200px) {
    padding-right: 162px;
  }

  .dropdown {
    margin-left: 15px;
    .option {
      display: flex;
      align-items: center;
    }

    .optionIcon {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 30px;
    }

    .optionLabel {
      font-size: 18px;
      padding-left: 6px;
    }
  }

  .customSignInButton {
    color: #45b8ff;
    width: 180px;
    border: 1px solid #45b8ff;
    height: 46px;
    margin: 0 0 0 15px;
    padding: 0 14px;
    font-size: 16px;
    font-family: WorkSans;
    font-weight: 600;
    border-radius: 0;
    background-color: transparent;
  }
}

.container {
  display: flex;
  padding: 0 10% 0 0;
  flex: 1;
  align-items: center;
  justify-content: space-between;

  @media (min-width: 980px) {
    padding: 0 30px 0 30px;
  }

  @media (min-width: 1200px) {
    padding: 0 162px 0 66px;
  }

  @media (min-width: 980px) {
    width: auto;
    height: 96px;
    flex-direction: row;
    padding: unset;
  }
}

.hamburger {
  background-color: transparent;
  border: 0;
  transition: all 0.2s ease-in;
  position: fixed;
  top: 1.5rem;
  z-index: 10000;
  right: 10%;
  .line {
    width: 30px;
    height: 3px;
    background-color: #ecf0f1;
    display: block;
    margin: 6px auto;
    transition: all 0.2s ease-in;
  }
  &.isActive {
    .line {
      &:nth-child(1),
      &:nth-child(2),
      &:nth-child(3) {
        transition-delay: 0.2s;
      }
      &:nth-child(2) {
        opacity: 0;
      }
      &:nth-child(1) {
        transform: translateY(5px) rotate(45deg);
      }
      &:nth-child(3) {
        transform: translateY(-13px) rotate(-45deg);
      }
    }
  }
  &:hover {
    cursor: pointer;
  }
  @media (min-width: 980px) {
    display: none;
  }
}

.isMobileOpened {
  width: 100vw;
  height: 100vh;
  position: fixed;
  z-index: 9999;
  background-color: var(--black);
  padding: unset;
  .rightnav {
    display: flex;
    flex-direction: column;
    margin: 86px auto auto auto;
    gap: 10px;
    align-items: center;
    button[class*='basicButton'] {
      margin-top: 1rem;
    }
  }
}

.hiddenOnMobile {
  display: none;
  @media (min-width: 980px) {
    display: flex;
  }
}
.mobileMenuWrapper {
  position: sticky;
  background-color: var(--black);
  top: 0;
  .hamburger {
    position: absolute;
  }
  @media (min-width: 980px) {
    position: static;
    .hamburger {
      position: fixed;
    }
  }
  &.mobileWrapperOpened {
    .hamburger {
      position: fixed;
    }
  }
}
